POST
/production-api/matching/browseBrowses over the production matching orders, supports taking/skipping for lazy loading/pagination
Authorization
Bearer AuthorizationBearer <token>
Access Token used to access this API (JWT bearer token).
In: header
The browse request containing settings for the browse
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/production-api/matching/browse" \ -H "Content-Type: application/json" \ -d '{}'{ "results": [ { "projectNumber": "string", "reference": "string", "customer": "string", "customerDebtorCode": "string", "product": "string", "commission": "string", "supplier": "string", "material": "string", "goodSide": "string", "status": "string", "amount": 0.1, "date": "2019-08-24T14:15:22Z", "sbnId": 0, "sbnKey": 0, "eanCode": "string", "materialColor": "string", "polygons": [ { "id": 0, "polygonId": 0, "productionProjectId": 0, "subnumber": 0 } ], "polygonProjectMaterials": [ { "id": 0, "productionPolygonId": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z", "productionProjectMaterialId": 0 } ] } ], "totalResults": 0}Empty